# Define templates
include:
  - project: 'gazelle/private/gitlab-ci-templates'
    file: 'extends-v2.yaml'
    ref: 'master'

# Define stages
stages:
  - build
  - predeploy
  - deploy
  - test
  - publish
  - release
  - upgrade
  - clean

# Define global variables
variables:
  P_NAME: "chhpd-validator-jar"
  P_APP_TYPE: "java"
  P_CODE_SRC_PATH: "."
  P_MAVEN_IMAGE_TAG: "3.6.3-jdk-8"

# Define jobs
compile/unit-test:
  stage: build
  extends:
    - .buildJavaMavenTest

package:
  stage: build
  extends:
    - .buildJavaMavenPackage
  variables:
    P_MAVEN_EXTRA_ARGS: "-DskipUnitTests"
  needs:
    - job: compile/unit-test
      artifacts: true

install-cache-repo:
  stage: publish
  extends:
    - .publishJavaMavenInstall
  variables:
    P_MAVEN_EXTRA_ARGS: "-DskipTests"
  needs:
    - job: package
      artifacts: false

release/code:
  stage: release
  extends:
    - .releaseCodeForJava
